Subject: Re: bug#38878: 26.3; EBDB fails to mark role as defunct

From: Eric Abrahamsen <[email-masked]>
Date: Mon, 13 Jan 2020 09:58:15 -0800

On 01/13/20 14:07 PM, Jorge P. de Morais Neto wrote:
> Em [2020-01-12 dom 12:54:52-0800], Eric Abrahamsen escreveu:
>
>> Oh, I see -- you're right I was doing this on the wrong line.
>> Actually if you edit a role field on an organization using a "little
>> edit" (with "e"), EBDB does some fancy footwork in the background to
>> actually edit the role field on the person record.  That didn't happen
>> with the customize edit ("E") -- would you eval the following and
>> confirm that it works correctly?
>> [...]
>
> Yes, according to my quick testing, your code fixes the bug.  I tested
> by editing the role label of one person and marking as defunct the roles
> of two other persons.  In every case, I edited by pressing "E" on the
> person's role field of a person in the respective organization's record.
>
> Thank you!

Great! I've pushed that change, and will close this report once I've
made a new release.

Thanks,
Eric